Name: ngplant
Version: 0.9.7
Release: alt1

Summary: ngPlant is a plant modeling software package.
Summary(ru_RU.CP1251): ngPlant      .
License: GPL and BSD
Group: Graphics

Url: http://ngplant.sourceforge.net/
Source: http://heanet.dl.sourceforge.net/sourceforge/%name/%name-%version.tar.gz
Patch0: build_fix.patch
Patch1: path_fix.patch

##Packager: M <mike@altlinux.org>

# Automatically added by buildreq on Mon Nov 10 2008
BuildRequires: cvs flex gcc-c++ ghostscript-utils libX11-devel libfreeglut-devel libglew-devel nvidia_glx_177.80 python-devel rcs scons swig tetex-latex wxGTK-devel xsltproc

%description
ngPlant is a plant modeling software package. Designers can use interactive tool
to create 3D models of different plants and trees. Software developers can use
3D API-independent library to use generated plant models in their 3D applications,
or to create plant modeling plugins for different 3D modeling tools.

%description -l ru_RU.KOI8-R
ngPlant     .   
    3D   , 
.      API   
    ,        
  .

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
scons

%install
install -p -D -m755 devtools/ngpbench %buildroot%_bindir/ngpbench
install -p -D -m755 %name/%name %buildroot%_bindir/%name
install -p -D -m755 ngpshot/ngpshot %buildroot%_bindir/ngpshot
install -p -D -m755 ngpview/ngpview %buildroot%_bindir/ngpviewh

install -p -d -m755 plugins %buildroot%_datadir/%name/plugins/
install -p -D -m644 plugins/*.lua %buildroot%_datadir/%name/plugins/

install -p -d -m755 samples %buildroot%_datadir/%name/samples/
install -p -D -m644 samples/*.ngp %buildroot%_datadir/%name/samples/

install -p -d -m755 samples/textures %buildroot%_datadir/%name/samples/textures/
install -p -D -m644 samples/textures/* %buildroot%_datadir/%name/samples/textures/

install -p -d -m755 docapi/images %buildroot%_docdir/%name-%version/images
install -p -D -m644 docapi/images/* %buildroot%_docdir/%name-%version/images
install -p -D -m644 docapi/*.html %buildroot%_docdir/%name-%version/
install -p -D -m644 ReleaseNotes %buildroot%_docdir/%name-%version/
install -p -D -m644 README %buildroot%_docdir/%name-%version/



#%find_lang %name
##%post
##%update_menus

#%postun
#%clean_menus

#%files -f %name.lang
%files
%_bindir/*
%_datadir/*
%_docdir/*

%changelog
* Mon Nov 10 2008 Alexei Mezin <alexei_vm@altlinux.ru> 0.9.7-alt1
- Initial build/

